Bug 1504041 - [RFE][Octavia] Support and test minor updates
Summary: [RFE][Octavia] Support and test minor updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Nir Magnezi
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1433523 1552443
TreeView+ depends on / blocked
 
Reported: 2017-10-19 11:24 UTC by Nir Magnezi
Modified: 2019-09-10 14:12 UTC (History)
8 users (show)

Fixed In Version: openstack-octavia-2.0.0-0.20171206012820.82d9f44.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:38:42 UTC

Description Nir Magnezi 2017-10-19 11:24:53 UTC
Support minor updates, which in our case is mostly about Amphora image updates.

We added[1] the support for glance tags, which means Octavia will always use the latest (timestamp) image loaded to glance that is tagged with a specific value (amp_image_tag = amphora by default).
For security reasons, this is also restricted to a specific image owner,  configured in amp_image_owner_id

We should test and verify this upgrade process works in a live deployment, and possibly automate the process and have it running in CI.

[1] https://review.openstack.org/#/c/284690/

Comment 2 Alexander Stafeyev 2017-10-19 11:41:03 UTC
Steps- 

1. Upload Amphora image to Glance with proper tag for amphora.
2. Run LB tests
3. Upload different image to Glance with proper tag for amphora.
4. Run LB tests. 

*!* The image could be build on top of supported OSs( rhel, Centos) or supplied as already LB amphora dedicated images.

Comment 3 Ofer Blaut 2017-10-23 13:06:10 UTC
(In reply to Alexander Stafeyev from comment #2)
> Steps- 
> 
> 1. Upload Amphora image to Glance with proper tag for amphora.
> 2. Run LB tests
> 3. Upload different image to Glance with proper tag for amphora.
> 4. Run LB tests. 
> 
> *!* The image could be build on top of supported OSs( rhel, Centos) or
> supplied as already LB amphora dedicated images.

You need to test update including Container update ( while amphora is the old one) and amphora works the same after the update ( new house keeper didn't remove it and HA still works )

Comment 6 Jakub Libosvar 2017-12-14 14:41:42 UTC
This is testing only bug, no dev work required. Putting to POST.

Comment 11 Nir Magnezi 2018-04-23 12:30:03 UTC
(In reply to Alexander Stafeyev from comment #2)
> Steps- 
> 
> 1. Upload Amphora image to Glance with proper tag for amphora.
> 2. Run LB tests
> 3. Upload different image to Glance with proper tag for amphora.
> 4. Run LB tests. 
> 
> *!* The image could be build on top of supported OSs( rhel, Centos) or
> supplied as already LB amphora dedicated images.

I would expend the above steps as follows:

1. Upload the first amphora image.
2. Create a loadbalancer and check basic sanity (loadbalancer ACTIVE)
3. via admin user: get the details about the current amphora instance (openstack server show <amphora instance id>)
4. Upload another image to glance.
5. Repeat step 2.
6. Repeat step 3. and verify the instance got created from the newly uploaded imaged.

Comment 13 errata-xmlrpc 2018-06-27 13:37:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.